%define ROOT /var/empty
%def_with pam_userpass

Name: openssh
Version: 3.6.1p2
Release: alt6

Summary: OpenSSH free Secure Shell (SSH) implementation
License: BSD
Group: Networking/Remote access
Url: http://www.openssh.com/portable.html

Source: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/%name-%version.tar.bz2

Source1: ssh-copy-id.tar.bz2
Source2: http://www.openssh.com/faq.html

Source3: ssh-askpass.sh
Source4: ssh-askpass.csh
Source5: sftp.control
Source6: sshd.pamd
Source7: sshd.init

Source9: rescp

Source10: ssh-agent.sh

# CVS
Patch1: %name-3.6.1p2-cvs-20030515-argv.patch
Patch2: %name-3.6.1p2-cvs-20030603-UseDNS.patch
Patch3: %name-3.6.1p2-cvs-20030915-scp.patch
Patch4: %name-3.6.1p2-cvs-20030916-buffer-channels-realloc.patch
Patch5: %name-3.6.1p2-cvs-20040408-UT_LINESIZE.patch
Patch6: %name-3.6.1p2-cvs-20040401-scp-CAN-2004-0175.patch

# Owl
Patch100: %name-3.6.1p1-owl-warnings.patch
Patch101: %name-3.6.1p1-owl-hide-unknown.patch
Patch102: %name-3.6.1p2-owl-always-auth.patch
Patch103: %name-3.6.1p1-owl-alt-pam_userpass.patch
Patch104: %name-3.6.1p1-owl-fatal_cleanups.patch
Patch105: %name-3.6.1p1-owl-drop-groups.patch
Patch106: %name-3.6.1p1-owl-logging.patch
Patch107: %name-3.6.1p1-owl-mm.patch
Patch108: %name-3.6.1p1-owl-password-changing.patch
Patch109: %name-3.6.1p1-owl-openssl-version-check.patch
Patch110: %name-3.6.1p1-owl-scp-sftp-stalltime.patch
Patch111: %name-3.6.1p1-owl-ssh-agent-dumpable.patch
Patch112: %name-3.6.1p2-owl-realloc.patch

# ALT
Patch201: %name-3.6.1p1-alt-mm.patch
Patch202: %name-3.6.1p1-alt-cleanup-client-libs.patch
Patch203: %name-3.6.1p1-alt-socketcred.patch
Patch204: %name-3.6.1p1-alt-auth_parse_options.patch
Patch205: %name-3.6.1p1-alt-ssh-add.patch
Patch206: %name-3.6.1p1-alt-ssh-agent.patch
Patch207: %name-3.6.1p1-alt-channels-debug.patch
Patch208: %name-3.6.1p1-alt-authorized_keys_system_file.patch
Patch209: %name-3.6.1p1-alt-ssh_version.patch
Patch210: %name-3.6.1p1-alt-trans_inter.patch
Patch211: %name-3.6.1p1-alt-slogin-makefile.patch
Patch212: %name-3.6.1p1-alt-defaults.patch
Patch213: %name-3.4p1-kevin-resolver.patch

%define _libexecdir %_libdir/%name
%define _pamdir /etc/pam.d

Obsoletes: ssh

# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: groff-base libpam-devel libssl-devel libwrap-devel pam_userpass-devel zlib-devel

%package clients
Summary: OpenSSH Secure Shell protocol clients
Group: Networking/Remote access
PreReq: shadow-utils
Requires: %name = %version-%release
Obsoletes: ssh-clients, sftp

%package keysign
Summary: OpenSSH helper program for hostbased authentication
Group: Networking/Remote access
Requires: %name-clients = %version-%release

%package server
Summary: OpenSSH Secure Shell protocol daemon
Group: System/Servers
PreReq: %name = %version-%release, chkconfig, control, coreutils, shadow-utils
Obsoletes: ssh-server

%package askpass-common
Summary: OpenSSH common passphrase dialog infrastructure
Group: Networking/Remote access
Requires: %name = %version-%release
Provides: %_libexecdir
Obsoletes: ssh-extras, ssh-askpass, %name-askpass

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all
patented algorithms to seperate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server.  To make this package useful, you should also
install %name-clients, %name-server, or both.

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all
patented algorithms to seperate libraries (OpenSSL).

This package includes the clients necessary to make encrypted connections
to SSH servers.

%description keysign
ssh-keysign is used by ssh(1) to access the local host keys and generate
the digital signature required during hostbased authentication with SSH
protocol version 2.  ssh-keysign is not intended to be invoked by the
user, but from ssh(1).  See ssh(1) and sshd(8) for more information about
hostbased authentication.

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all
patented algorithms to seperate libraries (OpenSSL).

This package contains the secure shell daemon.  The sshd is the server
part of the secure shell protocol and allows ssh clients to connect to
your host.

%description askpass-common
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all
patented algorithms to seperate libraries (OpenSSL).

This package contains OpenSSH passphrase dialog infrastructure.
These dialogs are intended to be called from the ssh-add program and
not invoked directly.

%prep
%setup -q -a1
install -p -m644 $RPM_SOURCE_DIR/faq.html contrib/faq.html

%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1

%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1

find -type f -name \*.orig -print -delete

%build
export ac_cv_path_PROG_LASTLOG=/usr/bin/lastlog
export ac_cv_path_LOGIN_PROGRAM_FALLBACK=/bin/login
export ac_cv_path_NROFF=/usr/bin/nroff
export ac_cv_path_xauth_path=/usr/X11R6/bin/xauth
%configure \
	--sysconfdir=%_sysconfdir/%name \
	--with-pam \
	--with-tcp-wrappers \
	--with-ipv4-default \
	--with-ipaddr-display \
	--with-rsh=/usr/bin/rsh \
	--with-default-path=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin \
	--with-privsep-path=%ROOT \
	--with-privsep-user=sshd \
	#

%__subst 's/ -ldl//' Makefile
%__subst 's/ -lnsl//' Makefile
%__subst 's/^\(LIBPAM=.*\)/\1 -lpam_misc -lpam_userpass/g' Makefile

%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT{%_libexecdir,%_sysconfdir{,/X11}/profile.d}
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/%name/authorized_keys{,2}
%__install -pD -m600 $RPM_SOURCE_DIR/sshd.pamd \
	$RPM_BUILD_ROOT%_pamdir/sshd
%__install -pD -m755 $RPM_SOURCE_DIR/sshd.init \
	$RPM_BUILD_ROOT%_initdir/sshd
%__install -p -m755 $RPM_SOURCE_DIR/rescp \
	$RPM_BUILD_ROOT%_bindir/
%__install -p -m755 $RPM_SOURCE_DIR/ssh-agent.sh \
	$RPM_BUILD_ROOT%_sysconfdir/X11/profile.d/
%__install -pD -m755 $RPM_SOURCE_DIR/sftp.control \
        $RPM_BUILD_ROOT%_sysconfdir/control.d/facilities/sftp

%__install -p -m755 contrib/ssh-copy-id $RPM_BUILD_ROOT%_bindir/
%__install -p -m644 contrib/ssh-copy-id.1 $RPM_BUILD_ROOT%_man1dir/

%__chmod 711 $RPM_BUILD_ROOT%_sbindir/*

%__install -p -m755 $RPM_SOURCE_DIR/ssh-askpass.{sh,csh} \
	$RPM_BUILD_ROOT%_sysconfdir/profile.d/

%__bzip2 -9 ChangeLog ||:

#mmap fallback
%__mkdir_p -m711 $RPM_BUILD_ROOT/var/run/sshd

%pre clients
/usr/sbin/groupadd -r -f sshagent

%pre server
/usr/sbin/groupadd -r -f sshd
/usr/sbin/useradd -r -g sshd -d / -s /dev/null -n sshd >/dev/null 2>&1 ||:
if [ $1 -ge 2 ]; then
	/usr/sbin/control-dump sftp
fi

%post server
if [ $1 -ge 2 ]; then
	/usr/sbin/control-restore sftp
	/sbin/service sshd condreload ||:
else
	/sbin/chkconfig --add sshd ||:
fi

%preun server
if [ $1 = 0 ]; then
	/sbin/chkconfig --del sshd ||:
fi

%triggerpostun server -- openssh < 0:3.0.2p1-alt3
f=%_sysconfdir/%name/moduli
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		%__cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		%__cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%attr(751,root,root) %dir %_sysconfdir/%name
%_bindir/scp
%_bindir/ssh-keygen
%_man1dir/scp.*
%_man1dir/ssh-keygen.*
%doc ChangeLog* CREDITS INSTALL LICENCE README* RFC.nroff TODO WARNING.RNG contrib/faq.html

%files clients
%attr(751,root,root) %dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/ssh_config
%config(noreplace) %_sysconfdir/X11/profile.d/*
%_bindir/rescp
%_bindir/sftp
%_bindir/slogin
%_bindir/ssh
%_bindir/ssh-add
%attr(2711,root,sshagent) %_bindir/ssh-agent
%_bindir/ssh-copy-id
%_bindir/ssh-keyscan
%_man1dir/sftp.*
%_man1dir/slogin.*
%_man1dir/ssh.*
%_man1dir/ssh-add.*
%_man1dir/ssh-agent.*
%_man1dir/ssh-copy-id.*
%_man1dir/ssh-keyscan.*
%_man5dir/ssh_config.*

%files keysign
%attr(751,root,root) %dir %_libexecdir
%_libexecdir/ssh-keysign
%_man8dir/ssh-keysign.*

%files server
%attr(755,root,root) %_sysconfdir/control.d/facilities/sftp
%attr(751,root,root) %dir %_sysconfdir/%name
%attr(600,root,root) %config %_sysconfdir/%name/moduli
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name/sshd_config
%attr(600,root,root) %config(noreplace) %_pamdir/sshd
%attr(755,root,root) %config %_initdir/sshd
%attr(751,root,root) %dir %_sysconfdir/%name/authorized_keys*
%_sbindir/*
%attr(751,root,root) %dir %_libexecdir
%_libexecdir/sftp-server
%_man5dir/sshd_config.*
%_man8dir/sshd.*
%_man8dir/sftp-server.*
#mmap fallback
/var/run/sshd

%files askpass-common
%_sysconfdir/profile.d/ssh-askpass.*
%attr(751,root,root) %dir %_libexecdir

%changelog
* Mon May 10 2004 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p2-alt6
- Backported fix for rcp directory traversal bug (CAN-2004-0175).
- Build with openssl-0.9.7d.

* Mon Apr 26 2004 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p2-alt5
- Backported UT_LINESIZE fix (#3980).

* Wed Sep 17 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p2-alt4
- Included the buffer and channels memory reallocation fixes from
  http://www.openssh.com/txt/buffer.adv (2nd revision).
- Reviewed all uses of *realloc(), resulting in four more fixes
  of this nature (Owl).
- Corrected startup script to honor $EXTRAOPTIONS in check mode too.

* Tue Sep 16 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p2-alt3
- Fixed scp return status
  (http://bugzilla.mindrot.org/show_bug.cgi?id=638).
- Fixed memory allocation error in buffer_append_space.

* Mon Aug 25 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p2-alt2
- Removed explicit kernel dependence.
- Backported from CVS:
  + copy argv correctly to fix potential restart after SIGHUP
    problem;
  + replace deprecated VerifyReverseMapping option with new
    option, UseDNS (Owl).

* Mon Jun 02 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p2-alt1
- Updated to 3.6.1p2.
- When we know we're going to fail authentication for reasons
  external to PAM, pass there a hopefully incorrect password to
  have it behave the same for correct and incorrect passwords (Owl).

* Sat May 24 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p1-alt4
- PAM configuration policy enforcement.
- Added nodelay option to pam auth method.

* Sun Apr 27 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p1-alt3
- Rewritten start/stop script to new rc scheme.

* Sat Apr 19 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p1-alt2
- Changed %_pamdir/sshd to use tcb authentication explicitly.
- Added back the now more complete patch to always run PAM with
  password authentication, even for non-existent or not allowed
  usernames (Owl).
- Tell pam_tcb to not log failed authentication attempts when a
  blank password is tried (blank_nolog) as this is attempted
  automatically (Owl).

* Thu Apr 10 2003 Dmitry V. Levin <ldv@altlinux.org> 3.6.1p1-alt1
- Updated to 3.6.1p1.
- Updated faq.html to 2002/04/03 and removed openssh-closing.txt.
- Updated Owl patches to 3.6.1p1-owl1.
- Updated ALT patches.
- Merged upstream patches:
  alt-pam_service
- Dropped patches:
  alt-log_MSGBUFSIZ
- Reworked patches:
  alt-socketcred (due to privsep)
- Added control(8) support for sftp subsystem and disabled it
  in default configuration.
- Dropped upgrade support from ssh-server. No need to bother.
- Built with libpam_userpass.so.1.

* Sat Feb 22 2003 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt5
- Backported ssh-add from 3.5p1.
- Backported ssh-agent from 3.5p1.
- Moved ssh-keysign to separate subpackage.
- Package x11 and gtk passphrase dialogs separately. Keep common
  passphrase dialog infrastructure in -askpass-common subpackage.

* Wed Jan 29 2003 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt4
- %%post: Execute "service sshd condreload" on upgrade (#0001756).
- app-defaults/SshAskpass: Fixed file permissions (#0002068).
- ssh-keygen: Fixed default key length (#0002097).

* Tue Nov 12 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt3
- Merged Owl changes:
  * Sun Jul 28 2002 Solar Designer <solar@owl.openwall.com>
  - Install the packet_close() cleanup for the client as well.
  * Sun Jul 07 2002 Solar Designer <solar@owl.openwall.com>
  - Install the packet_close() cleanup for root logins as well (which are
    not privilege separated because that wouldn't make sense and thus were
    handled by a different code path which I initially have missed).
  * Sat Jul 06 2002 Solar Designer <solar@owl.openwall.com>
  - Re-initialize logging after calls into PAM module stacks, make use of
    log_reinit() where the original code needed that kind of functionality.
  * Fri Jul 05 2002 Solar Designer <solar@owl.openwall.com>
  - Re-enable the password changing code (disabled in 3.3p1 and 3.4p1) for
    non-privsep case, disallowing any forwardings (such that the session may
    not be actually used while still not changing the expired password).
  - Limit three of the cleanup functions to apply to just the proper sshd
    processes, make sure session_pty_cleanup() happens before packet_close().
  * Tue Jul 02 2002 Solar Designer <solar@owl.openwall.com>
  - In the PAM conversation, queue any text messages appearing in initial
    login mode for printing later, similarly to what the original code did.
    This is needed to pass password expiration warnings on to the user.
  * Sat Jun 29 2002 Solar Designer <solar@owl.openwall.com>
  - Keep the /dev/log fd open and only close it before executing other
    programs, to enable direct logging from chrooted child processes.
- Build with -lwrap dynamically.

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt2
- Initialize the resolver before chroot (Kevin Steves).
- Added zeroing out the written-to pages on mm_destroy (Owl).

* Thu Jun 27 2002 Dmitry V. Levin <ldv@altlinux.org> 3.4p1-alt1
- 3.4p1 (with ChallengeResponseAuthentication fix).

* Mon Jun 24 2002 Dmitry V. Levin <ldv@altlinux.org> 3.3p1-alt1
- 3.3p1 (with privilege separation), updated our and Owl's patches.
- If MAP_ANON|MAP_SHARED fails (is unsupported on Linux 2.2), fallback
  to using SysV shm, and, if that fails too (SysV shm is a compile-time
  kernel option), to MAP_SHARED with sparse and unlinked swap files. (Owl)
- Set chroot for privsep user to %ROOT%{?_with_mksock:, added /dev/log there}.
- startup script: added new targets: check, condreload.

* Sun Mar 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.1p1-alt1
- 3.1p1, updated our and Owl's patches.
- Disabled restricted_forwarding patch (use "permitopen=" option instead).

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt4
- Fixed %%triggerpostun script.

* Mon Mar 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt3
- Set more strict versioned libssl requires.
- Placed %_sysconfdir/%name/moduli to server subpackage.
- Added %_sysconfdir/X11/profile.d/%name-agent.sh to client subpackage
  (for xinitrc >= 2.4.6-alt1).
- Updated buildrequires.

* Thu Mar 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt2
- Fixed channel code error (marcus).
- Fixed %_sysconfdir/%name/authorized_keys* permissions (0750 --> 0751).
- Fixed server subpackage dependencies (openssl --> libssl).
- Fixed startup script: use "%_sbindir/sshd" instead of "sshd".
- Fixed reload with incomplete argv[0] (#0000503).
- Removed pam_lastlog from %_pamdir/sshd (PrintLastLog=yes by default).
- Added "--without" logic to *_askpass build.

* Fri Dec 28 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.0.2p1-alt1
- 3.0.2p1, updated our and Owl's patches.
- x11-ssh-askpass-1.2.4.1
- Added libpam_userpass support.
- Updated faq.
- Dropped make-ssh-known-hosts.

* Sat Sep 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.9p2-alt3
- Moved socket fchowning to socketcred.
- Updated faq.

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.9p2-alt2
- authorized_keys2 IP based access control restriction checking fix.
- x11-ssh-askpass-1.2.4.

* Tue Jun 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.9p2-alt1
- Updated to 2.9p2.
- Merged in some third-party patches (including owl and rh).
- Added %_sysconfdir/profile.d/ssh-askpass.* files.
- %name-clients no longer requires %name-askpass to be installed.

* Thu Jun 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt6
- Fixed build with new imake.

* Mon May 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt5
- Fixed typo in readconf.c (use id_dsa again, #35).
- Use major part of OPENSSL_VERSION_NUMBER.

* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt4
- x11-ssh-askpass-1.2.2.

* Wed Mar 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt3
- Minor fixes from RH.

* Tue Mar 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt2
- Fixed typo made in recent merge.

* Mon Mar 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.2p2-alt1
- 2.5.2p2 release.

* Mon Mar 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.5.1p2-ipl2mdk
- Added "ssh-agent -u" feature.

* Thu Mar 01 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.1p2-ipl1mdk
- 2.5.1p2 release.

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.1p1-ipl2mdk
- Added two new options for sshd.

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.1p1-ipl6mdk
- 2.5.1p1 release.
- Merged all patches into single unified patch.

* Sun Feb 11 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl6mdk
- Updated socket chowning patch.
- Fixed auth-options reset time.
- Fixed setting PAM rhost.
- Workaround for xauth bug.

* Fri Jan 26 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl5mdk
- Rewritten ssh-copy-id script.
- Updated ssh-copy-id.1 manpage.
- Patched ssh-keygen to properly use dsa mode when necessary.

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl4mdk
- Updated x11-ssh-askpass version 1.1.1.
- Applied TransmitInterlude patch.

* Fri Jan 12 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl3mdk
- Enabled PasswordAuthentication by default for client and server.

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl2mdk
- Rebuilt with db2.

* Tue Nov 07 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.0p1-ipl1mdk
- Updated:
  + openssh-2.3.0p1;
  + x11-ssh-askpass-1.1.0;
  + our patches.
- Added:
  + http://www.openssh.com/faq.html

* Thu Oct 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.0p1-ipl3mdk
- Updated:
  + x11-ssh-askpass-1.0.2;
  + pam configuration.
- Fixed (by Nalin Dahyabhai <nalin@redhat.com>):
  + ssh-add to try to add both identity and id_dsa,
    and to error only when neither exists;
  + Set the default path to be the same as the one supplied
    by /bin/login, but also add /usr/X11R6/bin;
  + try to handle obsoletion of ssh-server more cleanly.
- Automatically added BuildRequires.

* Wed Sep 13 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.0p1-ipl2mdk
- Use update-alternatives for askpass-* packages.

* Mon Sep 04 2000 Dmitry V. Levin <ldv@fandra.org> 2.2.0p1-ipl1mdk
- Updated:
  + openssh-2.2.0p1;
  + x11-ssh-askpass-1.0.1.
- Changed:
  + rescp script;
  + moved keygen calls to sshd.init (now generate keys at runtime);
  + made building of X11-askpass and gnome-askpass optional;
  + removed autorestart of the server after upgrade.

* Thu Aug 17 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p4-ipl2mdk
- Changed StrictHostKeyChecking parameter in ssh_config from "yes" to "ask".
- Added usage to ssh-copy-id script.

* Wed Jul 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p4-ipl1
- 2.1.1p4

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p3-ipl1
- 2.1.1p3

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p2-ipl1
- 2.1.1p2

* Fri Jun 30 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p1-ipl2
- configure/bash bug workaround.

* Tue Jun 27 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.1p1-ipl1
- 2.1.1p1
- Use FHS-compatible macros.

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.0p3-ipl1
- 2.1.0p3

* Sun May 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.0p2-ipl1
- 2.1.0p2

* Mon May 15 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.0-ipl1
- Fixes:
  + xauth bug;
  + shutdown typo;
- Features:
  + rescp script from Solar;
  + TCP/IP sockets belong to user;
  + configurable software version as it will be reported to peer;
  + restricted forwarding;
  + permitted keys in system directory.
- RE and Fandra adaptions.

* Wed Mar 15 2000 Damien Miller <djm@ibs.com.au>
- Updated for new location
- Updated for new gnome-ssh-askpass build

* Sun Dec 26 1999 Damien Miller <djm@mindrot.org>
- Added Jim Knoble's <jmknoble@pobox.com> askpass

* Mon Nov 15 1999 Damien Miller <djm@mindrot.org>
- Split subpackages further based on patch from jim knoble <jmknoble@pobox.com>

* Sat Nov 13 1999 Damien Miller <djm@mindrot.org>
- Added 'Obsoletes' directives

* Tue Nov 09 1999 Damien Miller <djm@ibs.com.au>
- Use make install
- Subpackages

* Mon Nov 08 1999 Damien Miller <djm@ibs.com.au>
- Added links for slogin
- Fixed perms on manpages

* Sat Oct 30 1999 Damien Miller <djm@ibs.com.au>
- Renamed init script

* Fri Oct 29 1999 Damien Miller <djm@ibs.com.au>
- Back to old binary names

* Thu Oct 28 1999 Damien Miller <djm@ibs.com.au>
- Use autoconf
- New binary names

* Wed Oct 27 1999 Damien Miller <djm@ibs.com.au>
- Initial RPMification, based on Jan "Yenya" Kasprzak's <kas@fi.muni.cz> spec.
